Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.environment.processing.simple
Class ProcessingQueue

    java.lang.Object
      rice.environment.processing.simple.ProcessingQueue

public class ProcessingQueue
extends java.lang.Object

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  Jeff Hoye

Nested Class Summary
`class` | `ProcessingQueue.ProcessingQueueOverflowException` DESCRIBE THE CLASS

Constructor Summary
`ProcessingQueue()` Constructor for ProcessingQueue.
`ProcessingQueue(int capacity)` Constructor for ProcessingQueue.

Method Summary
`ProcessingRequest` | `dequeue()` DESCRIBE THE METHOD
`void` | `destroy()` DESCRIBE THE METHOD
`void` | `enqueue(ProcessingRequest request)` DESCRIBE THE METHOD
`int` | `getLength()` Gets the Length attribute of the ProcessingQueue object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessingQueue

    public ProcessingQueue()

  Constructor for ProcessingQueue.

### ProcessingQueue

    public ProcessingQueue(int capacity)

  Constructor for ProcessingQueue.

Parameters:
  `capacity` - DESCRIBE THE PARAMETER

Method Detail

### getLength

    public int getLength()

  Gets the Length attribute of the ProcessingQueue object

  Returns:
    The Length value

### enqueue

    public void enqueue(ProcessingRequest request)

  DESCRIBE THE METHOD

  Parameters:
    `request` - DESCRIBE THE PARAMETER

### dequeue

    public ProcessingRequest dequeue()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### destroy

    public void destroy()

  DESCRIBE THE METHOD

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.